<script setup>
import { computed } from 'vue'

// variables
const emit = defineEmits(['update:checked'])

const props = defineProps({
  checked: {
    type: [Array, Boolean],
    default: false,
  },
})

// computed properties
const proxyChecked = computed({
  get() {
    return props.checked
  },

  set(val) {
    emit('update:checked', val)
  },
})
</script>

<template>
    <input type="radio" class="radio" v-model="proxyChecked">
</template>
